Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589167 - Review Request: perl-ParseTemplate - ParseTemplate Perl module
Summary: Review Request: perl-ParseTemplate - ParseTemplate Perl module
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-05 14:56 UTC by Marcela Mašláňová
Modified: 2016-08-14 16:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-07 06:06:34 UTC
rc040203: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Marcela Mašláňová 2010-05-05 14:56:00 UTC
Spec URL: http://mmaslano.fedorapeople.org/review/perl-ParseTemplate.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-ParseTemplate-3.03-1.fc13.src.rpm
Description:
Parse::Template was initially created to serve as a code generator for the
Parse::Lex class. The class is now available as a separate module.

Comment 1 Marcela Mašláňová 2010-05-05 14:56:49 UTC
This package is BR for new version of perl-ParseLex, which doesn't pass build at the moment with perl-5.12.

Comment 2 Ralf Corsepius 2010-05-05 15:13:22 UTC
Nothing much to say about it:

One minor nit:
rpmlint /var/lib/mock/fedora-12-x86_64/result/perl-ParseTemplate-3.03-1.fc12.*rpm
perl-ParseTemplate.noarch: W: spelling-error %description -l en_US Lex -> Le, Ex, Lee
perl-ParseTemplate.noarch: E: wrong-script-interpreter /usr/share/doc/perl-ParseTemplate-3.03/VERSION perl
perl-ParseTemplate.src: W: spelling-error %description -l en_US Lex -> Le, Ex, Lee
2 packages and 0 specfiles checked; 1 errors, 2 warnings.

Though all these warnings are non-sense, there is one piece of truth hiding inside:

Shipping /usr/share/doc/perl-ParseTemplate-3.03/VERSION
doesn't make sense.

APPROVED, provided you change your spec to not ship this file.

Comment 3 Marcela Mašláňová 2010-05-06 07:15:48 UTC
Thank, I'll remove this.

New Package CVS Request
=======================
Package Name: perl-ParseTemplate
Short Description: ParseTemplate Perl module
Owners: mmaslano
Branches: devel
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-05-06 15:49:16 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Marcela Mašláňová 2010-05-07 06:06:34 UTC
Build into dist-f14-perltest


Note You need to log in before you can comment on or make changes to this bug.